# Enum QuorumPeer.ZabState

java.lang.Object
java.lang.Enum<QuorumPeer.ZabState>
org.apache.zookeeper.server.quorum.QuorumPeer.ZabState

All Implemented Interfaces:
  `Serializable, Comparable<QuorumPeer.ZabState>`

Enclosing class:
  `QuorumPeer`

public static enum QuorumPeer.ZabState extends Enum<QuorumPeer.ZabState>
(Used for monitoring) shows the current phase of Zab protocol that peer is running.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BROADCAST`
`DISCOVERY`
`ELECTION`
`SYNCHRONIZATION`

## Method Summary

Modifier and Type
Method
Description
`static QuorumPeer.ZabState`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static QuorumPeer.ZabState[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ELECTION

public static final QuorumPeer.ZabState ELECTION

### DISCOVERY

public static final QuorumPeer.ZabState DISCOVERY

### SYNCHRONIZATION

public static final QuorumPeer.ZabState SYNCHRONIZATION

### BROADCAST

public static final QuorumPeer.ZabState BROADCAST

## Method Details

### values

public static QuorumPeer.ZabState[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static QuorumPeer.ZabState valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null